Package org.eclipse.ecf.provider.remoteservice.generic

# Class AddRegistrationRequest

java.lang.Object
org.eclipse.ecf.provider.remoteservice.generic.AddRegistrationRequest

All Implemented Interfaces:
  `Serializable`

public class AddRegistrationRequest extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AddRegistrationRequest(String service, String filter, Vector requests)`
`AddRegistrationRequest(ID targetID, String service, String filter, AddRegistrationRequest parent)`

## Method Summary

Modifier and Type
Method
Description
`AccessControlException`
`getException()`
`String`
`getFilter()`
`Integer`
`getId()`
`String`
`getService()`
`boolean`
`isDone()`
`void`
`notifyResponse(ID from, AccessControlException exception)`
`String`
`toString()`
`void`
`waitForResponse(long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AddRegistrationRequest

public AddRegistrationRequest(ID targetID, String service, String filter, AddRegistrationRequest parent)

Parameters:
  `targetID` - targetID
  `service` - service
  `filter` - filter
  `parent` - parent request
Since:
  3.0

### AddRegistrationRequest

public AddRegistrationRequest(String service, String filter, Vector requests)

Parameters:
  `service` - service
  `filter` - filter
  `requests` - other requests
Since:
  3.3

## Method Details

### getService

public String getService()

### getFilter

public String getFilter()

### getId

public Integer getId()

### waitForResponse

public void waitForResponse(long timeout)

Parameters:
  `timeout` - timeout
Since:
  3.3

### isDone

public boolean isDone()

### getException

public AccessControlException getException()

### notifyResponse

public void notifyResponse(ID from, AccessControlException exception)

Parameters:
  `from` - from ID
  `exception` - exception
Since:
  3.0

### toString

public String toString()

Overrides:
  `toString` in class `Object`